You are viewing a plain text version of this content. The canonical link for it is here.
Posted to github@arrow.apache.org by GitBox <gi...@apache.org> on 2022/10/23 20:40:09 UTC

[GitHub] [arrow] kou commented on a diff in pull request #14481: ARROW-18136: [Docs][Release] Update release verification information for CentOS7

kou commented on code in PR #14481:
URL: https://github.com/apache/arrow/pull/14481#discussion_r1002766539


##########
dev/release/VERIFY.md:
##########
@@ -50,15 +50,28 @@ You can install them by the followings on Debian GNU/Linux and Ubuntu:
 You can install them by the followings on CentOS 7:
 
 ```console
-% sudo yum install -y gobject-introspection-devel
+% sudo yum install -y gobject-introspection-devel git curl
+% cd /etc/pki/rpm-gpg
+% curl -O http://springdale.princeton.edu/data/springdale/7/x86_64/os/RPM-GPG-KEY-springdale
+% cd /etc/yum.repos.d
+% cat << EOF > Springdale-SCL.repo
+[Springdale-SCL]
+name=Springdale - SCL
+baseurl=http://springdale.princeton.edu/data/springdale/SCL/$releasever/$basearch
+gpgcheck=1
+enabled=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
+EOF

Review Comment:
   Why do we need this?



##########
dev/release/setup-centos7.sh:
##########
@@ -0,0 +1,90 @@
+
+#!/bin/sh

Review Comment:
   We can assume `/bin/bash` not `/bin/sh` on CentOS 7:
   
   ```suggestion
   #!/bin/bash
   ```



##########
dev/release/setup-centos7.sh:
##########
@@ -0,0 +1,90 @@
+
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+
+# A script to install dependencies required for release
+# verification Red Hat Enterprise Linux 7 clones in particular
+# on CentOS 7
+
+set -exu
+
+yum -y update
+yum -y groupinstall "Development Tools"
+yum install -y centos-release-scl curl
+cd /etc/pki/rpm-gpg
+curl -O http://springdale.princeton.edu/data/springdale/7/x86_64/os/RPM-GPG-KEY-springdale
+cd /etc/yum.repos.d
+cat << EOF > Springdale-SCL.repo
+[Springdale-SCL]
+name=Springdale - SCL
+baseurl=http://springdale.princeton.edu/data/springdale/SCL/$releasever/$basearch
+gpgcheck=1
+enabled=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
+EOF
+cd $HOME
+yum -y install \
+  cmake3 \
+  devtoolset-11-* \
+  git \
+  gobject-introspection-devel \
+  java-11-openjdk-devel \
+  libcurl-devel \
+  libicu-devel \
+  libtool \
+  llvm-toolset-13.0-* \
+  maven \
+  ncurses-devel \
+  ninja-build \
+  perl-core \
+  rh-python36 \

Review Comment:
   We dropped support for Python 3.6 or earlier:
   
   ```suggestion
     rh-python38 \
   ```



##########
dev/release/setup-centos7.sh:
##########
@@ -0,0 +1,90 @@
+

Review Comment:
   ```suggestion
   ```



##########
dev/release/VERIFY.md:
##########
@@ -50,15 +50,28 @@ You can install them by the followings on Debian GNU/Linux and Ubuntu:
 You can install them by the followings on CentOS 7:
 
 ```console
-% sudo yum install -y gobject-introspection-devel
+% sudo yum install -y gobject-introspection-devel git curl
+% cd /etc/pki/rpm-gpg
+% curl -O http://springdale.princeton.edu/data/springdale/7/x86_64/os/RPM-GPG-KEY-springdale
+% cd /etc/yum.repos.d
+% cat << EOF > Springdale-SCL.repo
+[Springdale-SCL]
+name=Springdale - SCL
+baseurl=http://springdale.princeton.edu/data/springdale/SCL/$releasever/$basearch
+gpgcheck=1
+enabled=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
+EOF
+% source scl_source enable devtoolset-11

Review Comment:
   What is `scl_enable`? It seems that this file doesn't exist in normal CentOS 7.



##########
dev/release/VERIFY.md:
##########
@@ -78,8 +91,9 @@ You need to set `PKG_CONFIG_PATH` to find libffi on macOS:
 ### C++, C#, C GLib, Go, Java, JavaScript, Python, Ruby
 
 Example scripts to install the dependencies to run the verification
-script for verifying the source on Ubuntu 20.04, Rocky Linux 8 and
-AlmaLinux 8 are in this folder and named `setup-ubuntu.sh` and
+script for verifying the source on CentOS 7, Ubuntu 20.04,  and
+and RHEL 8 rebuilds, Rocky Linux 8 and AlmaLinux 8 are in this folder

Review Comment:
   ```suggestion
   RHEL 8 rebuilds, Rocky Linux 8 and AlmaLinux 8 are in this folder
   ```



##########
dev/release/setup-centos7.sh:
##########
@@ -0,0 +1,90 @@
+
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+
+# A script to install dependencies required for release
+# verification Red Hat Enterprise Linux 7 clones in particular
+# on CentOS 7
+
+set -exu
+
+yum -y update
+yum -y groupinstall "Development Tools"
+yum install -y centos-release-scl curl
+cd /etc/pki/rpm-gpg
+curl -O http://springdale.princeton.edu/data/springdale/7/x86_64/os/RPM-GPG-KEY-springdale
+cd /etc/yum.repos.d
+cat << EOF > Springdale-SCL.repo
+[Springdale-SCL]
+name=Springdale - SCL
+baseurl=http://springdale.princeton.edu/data/springdale/SCL/$releasever/$basearch
+gpgcheck=1
+enabled=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
+EOF
+cd $HOME
+yum -y install \
+  cmake3 \
+  devtoolset-11-* \
+  git \
+  gobject-introspection-devel \
+  java-11-openjdk-devel \
+  libcurl-devel \
+  libicu-devel \
+  libtool \
+  llvm-toolset-13.0-* \
+  maven \
+  ncurses-devel \
+  ninja-build \
+  perl-core \
+  rh-python36 \
+  sqlite-devel \
+  tar \
+  vala-devel \
+  wget \
+  which \
+  zlib-devel
+  
+source scl_source enable devtoolset-11
+source scl_source enable llvm-toolset-13.0
+git clone https://github.com/sstephenson/rbenv.git ~/.rbenv
+echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bash_profile
+echo 'eval "$(rbenv init -)"' >> ~/.bash_profile
+source  ~/.bash_profile
+rbenv install 3.1.2
+rbenv global 3.1.2

Review Comment:
   How about using `rh-ruby30*` instead?



##########
dev/release/setup-centos7.sh:
##########
@@ -0,0 +1,90 @@
+
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+
+# A script to install dependencies required for release
+# verification Red Hat Enterprise Linux 7 clones in particular
+# on CentOS 7

Review Comment:
   ```suggestion
   # A script to install dependencies required for release
   # verification on CentOS 7
   ```
   
   because this script's name is `setup-centos7.sh`.



##########
dev/release/setup-centos7.sh:
##########
@@ -0,0 +1,90 @@
+
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+
+# A script to install dependencies required for release
+# verification Red Hat Enterprise Linux 7 clones in particular
+# on CentOS 7
+
+set -exu
+
+yum -y update
+yum -y groupinstall "Development Tools"
+yum install -y centos-release-scl curl
+cd /etc/pki/rpm-gpg
+curl -O http://springdale.princeton.edu/data/springdale/7/x86_64/os/RPM-GPG-KEY-springdale
+cd /etc/yum.repos.d
+cat << EOF > Springdale-SCL.repo
+[Springdale-SCL]
+name=Springdale - SCL
+baseurl=http://springdale.princeton.edu/data/springdale/SCL/$releasever/$basearch
+gpgcheck=1
+enabled=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-springdale
+EOF
+cd $HOME
+yum -y install \
+  cmake3 \
+  devtoolset-11-* \
+  git \
+  gobject-introspection-devel \
+  java-11-openjdk-devel \
+  libcurl-devel \
+  libicu-devel \
+  libtool \
+  llvm-toolset-13.0-* \
+  maven \
+  ncurses-devel \
+  ninja-build \
+  perl-core \
+  rh-python36 \
+  sqlite-devel \
+  tar \
+  vala-devel \
+  wget \
+  which \
+  zlib-devel
+  
+source scl_source enable devtoolset-11
+source scl_source enable llvm-toolset-13.0
+git clone https://github.com/sstephenson/rbenv.git ~/.rbenv
+echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bash_profile
+echo 'eval "$(rbenv init -)"' >> ~/.bash_profile
+source  ~/.bash_profile
+rbenv install 3.1.2
+rbenv global 3.1.2
+
+alternatives --install /usr/local/bin/cmake cmake /usr/bin/cmake3 20 \
+--slave /usr/local/bin/ctest ctest /usr/bin/ctest3 \
+--slave /usr/local/bin/cpack cpack /usr/bin/cpack3 \
+--slave /usr/local/bin/ccmake ccmake /usr/bin/ccmake3 \
+--family cmake
+scl enable rh-python36 bash
+python -m pip install -U pip
+wget https://www.openssl.org/source/openssl-3.0.5.tar.gz
+tar -xf openssl-3.0.5.tar.gz
+cd openssl-3.0.5
+./config --prefix=/usr/local/openssl --openssldir=/usr/local/openssl
+make
+make install
+# The command below is needed when building Arrow with Gandiva, so that
+# the CentOS7 default Openssl version 1.0 is not used, but the newer
+# version of Openssl that as just been installed is used by CMake
+echo 'export OPENSSL_ROOT_DIR=/usr/local/openssl' >> ~/.bash_profile
+source  ~/.bash_profile

Review Comment:
   How about just disabling Gandiva with `export ARROW_GANDIVA=OFF`?
   FYI: Our RPM packages for CentOS 7 disable Gandiva.



-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: github-unsubscribe@arrow.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org